# cryfs-dropbox

Basic scrypt to automount Encrypted Dropbox with CryFS.
* USAGE: cryfs-dropbox [OPTIONS]
* OPTIONS:
    * 	-b, --basedir basedir
        * 	Set the encrypted folder that Dropbox client are going to upload.
        * 	Default: /home/$USER/.DropboxEncrypted/Dropbox/ENCRYPTED
    * 	-m, --mountdir mountdir
        * 	Set the decrypted folder.
        * 	Default: /home/$USER/Dropbox
    * 	-v, --verbose
        * 	Set verbose mode.
        * 	Default: false
    * 	-p, --password password
        * 	Set password for CryFS encrypted volume.
        * 	If not set it'll ask iteractively.
    * 	-c, --config cryfsconfig
        * 	Set the configuration file for CryFS.
        * 	Default: basedir/cryfs.config
    * 	--not-start-at-login
        * 	Not start cryfs at login time.
        * 	Default: true
        * 	CAUTION: plain password will be saved in: ~/.config/autostart/cryfs-dropbox.desktop
    * 	--new-volume
        * 	Create a new volume.
        * 	Default: false
    * 	--blocksize
        * 	Change the ciphertext block size in bytes.
        * 	Default: 524288 (512 KB)
        * 	CryFS use by default 32KB, but a 17 GB volume can generate up to 400,000 files with this...
        * 	The Dropbox client get crazzy!